QGIS Application - Bug report #21060
Spilt Feature doesn't work on line/poliline features
2019-01-21 04:55 PM - Nikola Kalaydzhiev

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28878
Description

The Split Features tool doesn't work when splitting line features. It works fine on polygons. I've tested it with the 2.18 version and there
everything works as it should. It can be easily reproduced just create a simple line from two points and try to split it in two. It gives the
error No feature split done: An error occurred during splitting. When | try to split the feature when it is selected it gives that error No
features were split: If there are selected features, the split tool only applies to those. If you would like to split all features under the split
line, clear the selection.

History

#1 - 2019-01-22 03:20 AM - Nyall Dawson
- Status changed from Open to Feedback

I'm struggling to reproduce this. Can you post step-by-step instructions, a sample dataset, or a screencast showing the issue?

#2 - 2019-02-24 09:24 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
